View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001591aMuleMulti Platformpublic2010-03-15 23:022010-03-29 22:12
ReporterJukanX 
Assigned Tosturedman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version 
Summary0001591: On Windows XP, files with Unicode names are saved with mangled names
DescriptionOn every version from 2.2.3 (at least, it's the first I've tested) to 2.2.6, when I try to download files with Japanese names they get saved with a name different than the one shown in the Transfers tab.
To my untrained eye, it seems that aMule is using a wrong encoding when setting the name of the just-saved file...
Perhaps it uses the ANSI version of the some Win32 API function instead of the Unicode one? You know, like CreateFileA instead of CreateFileW ?

In the enclosed file there is an example of how a file displays in the aMule window and in Explorer, with the file IDs to allow you to reproduce the error.
If I use the file names in this form it fails to submit...
Additional InformationIt works on Windows 7 (and Vista iirc), but not on XP.
I'll investigate.
TagsNo tags attached.
Fixed in Revision
Operating SystemWindows XP SP3
Attached Fileszip file icon File IDs, aMule and Explorer windows.zip [^] (37,505 bytes) 2010-03-15 23:02

- Relationships

-  Notes
(0003393)
sturedman (developer)
2010-03-17 20:40

What is the file system of your incoming folder? NTFS or FAT32?
Can you rename the file in the incoming folder to the correct name?

Filenames with foreign characters do work on Windows.
(0003395)
JukanX (reporter)
2010-03-18 00:24

The partition is NTFS, and I can rename the files okay*. It's just a hassle when I have many files (and error-prone as I can identify them only by size, the name being unreadable), it would be more convenient if they were saved with the correct name in the first place (like eMule does)...
In fact I went more than a year doing just so (and that's why I marked the severity as minor, BTW), but I thought that maybe it was worth to bring the issue to the community's attention.

*IIRC, only from FAT-16 downwards it isn't possible to use Unicode filenames. I think 10+ year old hard disks are all dead by now...
(0003404)
sturedman (developer)
2010-03-29 22:12

Duh. You were right and I was wrong - it never worked on Windows at all.
Fixed in 10065. You can download Windows binaries from http://amule.jimdo.com/ [^]

- Issue History
Date Modified Username Field Change
2010-03-15 23:02 JukanX New Issue
2010-03-15 23:02 JukanX File Added: File IDs, aMule and Explorer windows.zip
2010-03-15 23:02 JukanX Operating System => Windows XP SP3
2010-03-17 20:40 sturedman Note Added: 0003393
2010-03-18 00:24 JukanX Note Added: 0003395
2010-03-21 11:41 sturedman Assigned To => sturedman
2010-03-21 11:41 sturedman Status new => assigned
2010-03-21 11:41 sturedman Additional Information Updated
2010-03-29 22:12 sturedman Note Added: 0003404
2010-03-29 22:12 sturedman Status assigned => resolved
2010-03-29 22:12 sturedman Resolution open => fixed
2010-03-29 22:12 sturedman Product Version 2.2.6 => SVN


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker